<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="loading$ | async as loading">
  <div
    class="text-base text-text-300 flex items-start w-fit"
    [ngClass]="{ 'bg-white bg-opacity-5 rounded-sm p-4': edit }"
  >
    <div class="pt-2 font-semibold">
      {{ baseAdapterBaseUrl
      }}<span *ngIf="!edit" class="text-white">{{ path?.startsWith('/') ? path : '/' + path }}</span>
    </div>
    <div *ngIf="editMode && edit" class="pl-8 flex items-center">
      <div class="flex flex-col">
        <input
          #inputs
          pInputText
          type="text"
          class="p-inputtext-sm"
          placeholder="Key"
          [(ngModel)]="_path"
          [disabled]="loading == null || loading"
        />
        <div class="flex items-center pt-4">
          <p-button
            label="Cancel"
            icon="pi pi-times"
            severity="danger"
            [text]="true"
            size="small"
            (click)="cancel()"
            [disabled]="loading"
          ></p-button>
          <p-button
            label="Save"
            icon="pi pi-save"
            severity="success"
            [outlined]="true"
            size="small"
            (click)="save()"
            [loading]="loading"
          ></p-button>
        </div>
      </div>
    </div>
    <div *ngIf="editMode && !edit" class="w-fit">
      <p-button
        label="Edit"
        icon="pi pi-pencil"
        [link]="true"
        size="small"
        (click)="editUrl()"
        [loading]="loading"
      ></p-button>
    </div>
  </div>
</ng-container>
